Skip to main content
`Ctrl`+`K`

# PetscObjectComposedDataRegister

Get an available id for composing data with a `PetscObject`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectComposedDataRegister(PetscInt *id)

Not Collective

## Output Parameter

- id - an identifier under which data can be stored

## Notes

You must keep this value (for example in a global variable) in order to attach the data to an object or access in an object.

`PetscObjectCompose()` and `PetscObjectQuery()` provide a way to attach any data to an object

## See Also

`PetscObjectComposedDataSetInt()`, `PetscObjectComposedDataSetReal()`, `PetscObjectComposedDataGetReal()`, `PetscObjectComposedDataSetIntstar()`, `PetscObjectComposedDataGetInt()`, `PetscObject`, `PetscObjectCompose()`, `PetscObjectQuery()`, `PetscObjectComposedDataSetRealstar()`, `PetscObjectComposedDataGetScalarstar()`, `PetscObjectComposedDataSetScalarstar()`

## Level

developer

## Location

src/sys/objects/state.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages